=== debian/changelog ===
massxpert2 (8.3.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:10 +1100

massxpert2 (8.3.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:54:24 +0000

massxpert2 (8.3.0-1) unstable; urgency=low

  * New upstream version:
    * New polymer chemistry definition with 98% labelled C13 and N15.
    * Fix crash with QTimer triggering single shot after its destruction.
    * Code cleanup and fix to memory leak in client-server code.
    * Compile the user manual in the binary source tree

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 21 Nov 2023 16:23:48 +0100

massxpert2 (8.2.0-1) unstable; urgency=low

  * New upstream package.

  * Two metapackages ensure that an upgrade of massxpert (or massxpert-doc)
    pulls in the new packages.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 23 Jun 2023 16:37:54 +0200

massxpert2 (8.1.0-1) unstable; urgency=low

  * New upstream version featuring the dynamic loading of isotopic data from
    disk files in the sequence editor, the cleavage dialog window and the
    fragmentation dialog window.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 20 Jun 2023 17:23:30 +0200

massxpert2 (8.0.1-1) unstable; urgency=low

  * New upstream version fixing bug with synthetic mass spectrum
    normalization.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 27 Apr 2023 13:34:52 +0200

massxpert2 (8.0.0-1) unstable; urgency=low

  * Rename the software massXpert -> massXpert2.

  * Refactoring all the framework describing the chemical entities: abandoned
    the Atom/AtomCount paradigm in favor of a complete list of isotopes
    (IsotopicData). This works aims at streamlining all the future features
    related to isotopic cluster modelling.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 16 Feb 2023 13:07:18 +0100

massxpert (7.1.0-1) unstable; urgency=low

  * New version implementing a new project hierarchy: libmass and libmassgui
    private static libraries enshrine all the functionalities that might be
    used in other project. The implementation is based on git submodules.

  * Added the possibility to perform isotopic cluster calculations and mass
    peak shape calculations.

  * Added build dependencies for the new features.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 05 Jan 2023 18:57:10 +0100

massxpert (7.0.0-2) unstable; urgency=low

  * d/control: update version of daps dependency package to 3.3.2;
  * d/control: remove useless build dependencies;
  * debian/source/lintian-overrides: reinstate.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 19 Dec 2022 17:35:50 +0100

massxpert (7.0.0-1) unstable; urgency=low

  * Major release with all the code ported to Qt6. This release is a Qt6-based
    build.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 31 Oct 2022 21:31:52 +0100

massxpert (6.1.0-1) unstable; urgency=low

  * Reworked all the user manual to make it more modern DocBook5 code. Thanks
    to the OpenSUSE crew for advice, in particular Tom Schraitle.

  * Upload after removal due to daps not building.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 17 Oct 2022 10:29:43 +0200

massxpert (6.0.3-1) unstable; urgency=low

  * Removed the MathML dependency that was too problematic (see #994795).
    Replace formulas in <mml> elements with figures. Adapted the text of the
    user manual.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 02 Feb 2022 11:52:16 +0100

massxpert (6.0.2-1) unstable; urgency=low

  * Fixes with the user manual build and versioning.

  * Update the user manual itself.

  * texlive-fonts-extra (>= 2020.20210202) (add version).

  * Fix filenames of the STIX2 fonts used for the user manual. The bug was
    reported by Lucas Nussbaum <lucas@debian.org>. Thanks to Juhani Numminen
    <juhaninumminen0@gmail.com> and Dennis Filder <d.filder@web.de> for
    suggesting fixes (Closes: #982725).

  * Standards-Version: 4.5.1. No changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 20 Feb 2021 19:14:56 +0100

massxpert (6.0.1-1) unstable; urgency=low

  * Implement ready access to the user manual from the help/about dialog
    window.

  * Some improvements in the CMake-based build system.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 23 Jul 2020 18:58:02 +0200

massxpert (6.0.0-1) unstable; urgency=low

  * New packaging that is now independent of msXpertSuite and that will be
    shipped separately from the mineXpert2 package. This software is
    considered featureful and stable. It won't change as much as minexpert2,
    so shipping it separately now makes sense.

  * Note that a number of deprecation warnings were fixed due to the
    upgrade to Qt 5.14 from 5.12 (qSort() -> std::sort() and 
    qGreater<Type>() -> std::greater<Type>() and 
    QMatrix -> QTransform).

  * The version number starts at 6.0.0.

  * I have conserved the package history below just for the record.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Jul 2020 17:35:32 +0200

msxpertsuite (5.8.7-1) UNRELEASED; urgency=low

  * Fixes to the icons handling.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 Mar 2019 14:47:15 +0100

msxpertsuite (5.8.6-2) unstable; urgency=low

  * d/control: +Homepage: http://www.msxpertsuite.org/ (not https).

  * Fix the license mismatch output by lintian (appstream.xml file vs
    d/copyright).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Mar 2019 12:40:54 +0100

msxpertsuite (5.8.6-1) unstable; urgency=low

  * Reinstate partially all the conflicts/breaks/replaces statements for the
    mspxertsuite-massxpert binary package. This ensures that upgrade of
    massxpert from stable's version to this version does not stumble upon
    overwriting blocks. Thanks to Andreas Beckmann
    <anbe@debian.org> for reporting the piuparts log (Closes: #922287).

  * Took advantage to update the

