=== debian/control ===
Source: massxpert2
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 13),
 dpkg-dev (>= 1.21.22),
# To export from svg to png
 inkscape,
 qt6-base-dev,
 libqt6svg6-dev,
 cmake (>= 3.12),
 libisospec++-dev (>=2.2.1),
 libpappsomspp-dev (>= 0.9.12),
 daps (>= 3.3.2),
 docbook-xml,
 libjs-jquery,
 libjs-highlight.js,
 texlive-fonts-extra (>= 2020.20210202),
 fonts-ebgaramond-extra,
 fonts-urw-base35,
 imagemagick-6-common,
 docbook-to-man
Standards-Version: 4.6.1
Homepage: http://www.msxpertsuite.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/massxpert2
Vcs-Git: https://salsa.debian.org/debichem-team/massxpert2.git


Package: massxpert
Depends: massxpert2,
         ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package for massxpert -> massxpert2
 This is a transitional package. It can safely be removed.
 Runtime package.


Package: massxpert-doc
Depends: massxpert2-doc,
         ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package for massxpert-doc -> massxpert2-doc
 This is a transitional package. It can safely be removed.
 Documentation package.

Package: massxpert2
Architecture: any
Depends: ${shlibs:Depends},
				 ${misc:Depends},
         massxpert2-data (>= ${source:Upstream-Version})
Suggests: massxpert2-doc (>= ${source:Upstream-Version})
Replaces: massxpert (<< 8.1.0-1~)
Breaks: massxpert (<< 8.1.0-1~)
Description: polymer chemistry modelling and mass spectrometry data simulation (runtime)
 massXpert2 allows the user to perform the following tasks:
 .
  - Make brand new polymer chemistry definitions;
  - Use the definitions to easily perform calculations in a desktop
    calculator-like manner;
  - Perform sophisticated polymer sequence editing and simulations;
  - Perform m/z list comparisons;
  - Perform isotopic cluster simulations.
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches...
 .
 This package ships the massXpert2 program.


Package: massxpert2-data
Architecture: all
Depends: ${misc:Depends},
Suggests: massxpert2-doc (>= ${source:Upstream-Version})
Replaces: massxpert-data (<< 8.1.0-1~)
Breaks: massxpert-data (<< 8.1.0-1~)
Description: polymer chemistry modelling and mass spectrometry data simulation (data)
 massXpert2 allows the user to perform the following tasks:
 .
  - Make brand new polymer chemistry definitions;
  - Use the definitions to easily perform calculations in a desktop
    calculator-like manner;
  - Perform sophisticated polymer sequence editing and simulations;
  - Perform m/z list comparisons;
  - Perform isotopic cluster simulations.
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches...
 .
 This package ships the polymer chemistry data.


Package: massxpert2-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-highlight.js,
         ${misc:Depends}
Replaces: massxpert-doc (<< 8.1.0-1~)
Breaks: massxpert-doc (<< 8.1.0-1~)
Description: polymer chemistry modelling and mass spectrometry data simulation (doc)
 massXpert2 allows the user to perform the following tasks:
 .
  - Make brand new polymer chemistry definitions;
  - Use the definitions to easily perform calculations in a desktop
    calculator-like manner;
  - Perform sophisticated polymer sequence editing and simulations;
  - Perform m/z list comparisons;
  - Perform isotopic cluster simulations.
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches...
 .
 This package ships the user manual in both PDF and HTML formats.
