## massxpert2 8.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,17 +8,16 @@
 # Basic information about project
 
 project(massXpert2
-  DESCRIPTION "A program to model and simulate mass spectra on (bio-)polymers"
-  HOMEPAGE_URL "http://wwww.msxpertsuite.org/massxpert")
+  DESCRIPTION "A program to model and simulate mass spectra on linear (bio-)polymers"
+  HOMEPAGE_URL "http://wwww.msxpertsuite.org/massxpert2")
 
 set(LOWCASE_PROJECT_NAME massxpert2)
 
-set(VERSION 8.3.0)
-
+set(VERSION 8.4.0)
 
 # Set additional project information
 set(COMPANY "msXpertSuite.org")
-set(COPYRIGHT "Copyright (c) 2008-2023 Filippo Rusconi. Licensed under GPLv3+")
+set(COPYRIGHT "Copyright (c) 2008-2024 Filippo Rusconi. Licensed under GPLv3+")
 set(IDENTIFIER "org.msxpertsuite")
 
 
@@ -77,7 +76,7 @@
 
 #############################################################
 # We do not want warnings for unknown pragmas:
-message(STATUS "Setting definition -Wno-unknown-pragmas.${ColourReset}")
+message(STATUS "${BoldGreen}Setting definition -Wno-unknown-pragmas.${ColourReset}")
 add_definitions(-Wno-unknown-pragmas)
 
 # Enable warnings and possibly treat them as errors
@@ -87,7 +86,7 @@
 add_definitions(-Wextra)
 
 if(WARN_AS_ERROR)
-  message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
+  message(STATUS "${BoldGreen}Setting definition -Werror.${ColourReset}")
   add_definitions(-Werror)
 endif()
 
@@ -184,7 +183,7 @@
 message(STATUS "${BoldYellow}Main CMAKE_BINARY_DIR: ${CMAKE_BINARY_DIR}${ColourReset}")
 message(STATUS "${BoldYellow}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")
 
-# It is essential to run these config steps before delving into the minexpert
+# It is essential to run these config steps before delving into the massxpert
 # directory, because at that moment they will need what are
 # going to prepare right now.
 CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CMakeStuff/splashscreen.svg.in
@@ -201,15 +200,15 @@
 ##################
 # BUILD OF LIBMASS
 
-message(STATUS "Adding subdirectory libmass for TARGET: ${TARGET}")
-add_subdirectory(libmass)
+message(STATUS "Adding subdirectory libmass/src for TARGET: ${TARGET}")
+add_subdirectory(libmass/src)
 
 #############################################################
 #####################
 # BUILD OF LIBMASSGUI
 
-message(STATUS "Adding subdirectory libmassgui for TARGET: ${TARGET}")
-add_subdirectory(libmassgui)
+message(STATUS "Adding subdirectory libmassgui/src for TARGET: ${TARGET}")
+add_subdirectory(libmassgui/src)
 
 #############################################################
 ######################
@@ -230,6 +229,14 @@
 message(STATUS "Adding subdirectory doc for project: ${TARGET}")
 add_subdirectory(doc)
 
+
+#############################################################
+####################
+# BUILD OF THE TESTS
+if(BUILD_TESTS)
+message(STATUS "Adding subdirectory tests for building tests for project: ${TARGET}")
+add_subdirectory(tests)
+endif()
 
 # Use all the configured paths to create the config.h file.
 # The config file is binary directory-specific !!!
@@ -313,8 +320,8 @@
 
 message("")
 message(STATUS "${BoldYellow}The typical cmake invocation on Debian GNU/Linux would be: cmake -DCMAKE_BUILD_TYPE=Debug -DBUILD_USER_MANUAL=1 ../../development${ColourReset}")
-message(STATUS "${BoldYellow}The typical cmake invocation on win10-mingw64 would be: cmake -DCMAKE_BUILD_TYPE=Release  ../../development${ColourReset}") 
-message(STATUS "${BoldYellow}The typical cmake invocation on MXE would be: x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../../development${ColourReset}") 
+message(STATUS "${BoldYellow}The typical cmake invocation on win10-mingw64 would be: cmake -DCMAKE_BUILD_TYPE=Release  ../../development${ColourReset}")
+message(STATUS "${BoldYellow}The typical cmake invocation on MXE would be: x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../../development${ColourReset}")
 message("")
 
 if(LOCAL_DEV)
