=== debian/changelog ===
massxpert2 (8.4.0-1) unstable; urgency=low

  * Add new polymer chemistry definition for fully labelled N;
  * Improve the ChemicalPad config for some sugars;
  * Implemented basic functionality in Averagine;
  * Allow using a double as a count for the formula;
  * Implemented the formula checkSyntax function using a RegularExpression;
  * Reconfigure the source tree to accomodate libmass and libmassgui
    as true git submodules;
  * MXE-based build works flawlessly;
  * Network-based communications between mineXpert2 and massXpert2
    now work perfectly;
  * Updated the user manual.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 02 May 2024 14:11:55 +0200

massxpert2 (8.3.1-1) unstable; urgency=low

  * Rework the user manual build system.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 07 Dec 2023 12:17:36 +0100
