=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: massxpert2
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
+Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dpkg-dev (>= 1.21.22),
@@ -10,9 +9,10 @@
  inkscape,
  qt6-base-dev,
  libqt6svg6-dev,
+ libxkbcommon-x11-dev,
  cmake (>= 3.12),
  libisospec++-dev (>=2.2.1),
- libpappsomspp-dev (>= 0.9.12),
+ libpappsomspp-dev (>= 0.9.31),
  daps (>= 3.3.2),
  docbook-xml,
  libjs-jquery,
@@ -22,7 +22,7 @@
  fonts-urw-base35,
  imagemagick-6-common,
  docbook-to-man
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.msxpertsuite.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/massxpert2
 Vcs-Git: https://salsa.debian.org/debichem-team/massxpert2.git
@@ -32,7 +32,6 @@
 Depends: massxpert2,
          ${misc:Depends},
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: transitional package for massxpert -> massxpert2
  This is a transitional package. It can safely be removed.
@@ -43,7 +42,6 @@
 Depends: massxpert2-doc,
          ${misc:Depends},
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: transitional package for massxpert-doc -> massxpert2-doc
  This is a transitional package. It can safely be removed.
